// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escaz, San Jos, Costa Rica 
// dedicado a Jess y Mara...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 11 setiembre 2010
//                
// Mis dibujos estn en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
// El objeto AHSV_Arbol1 (ArbolSimpleHojaVerde) se coloca 
// en con su base centro inferior en <0,0,0>
//      
// Altura unos 10000*L
// ubicando un area de unos 5000L*5000L       
//
// como modificador
// #declare ASHV_MoteteHojasExtra        = off;
// que sustituye las Hojas por esferas de rpido "parse"
// pero debe ubicarse antes del include "ArbolHSV.inc"
//
// Para colocarlo simplemente 
// object { AHSV_Arbol1 } 

#include "colors.inc" 
#include "ArbolSHV.inc"

#local   OjoAbsoluto            = 256;
#local   VecesCentroAbsoluto    = 10;

#local   L                      = 0.001;

camera {
        location <   0,  0, -( VecesCentroAbsoluto+1 )*OjoAbsoluto >*L
        look_at  <   0,  0, -VecesCentroAbsoluto*OjoAbsoluto >*L  
}
light_source    {
         < 500  , 500   , -3000 >*L
         White
}
background      {
         White
}    

union   {
  object   {
    ASHV_Arbol1   
  }
  translate     -3500*y*L+15000*z*L
}


