// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escaz, San Jos, Costa Rica 
// dedicado a Jess y Mara...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 11 octubre 2010
//                
// Mis dibujos estn en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
//
// El objeto HBDW_HairBrushDailyWoman se coloca segun
// Maximo: <   74,   22,   24>*L
// Minimo: <  -89,  -22,  -24>*L
// con el centro cercano a <0,0,0>
//
// tiene unicamente los modificador adicional optativos
// #declare HBDW_WoodTexture     = texture {...}
// para cambiar el tipo de madera, o soporte y 
// #declare HBDW_HairTexture     = texture {...}
// para la textura de los cabellos 
//
// Para colocarlo simplemente 
// object { HBDW_HairBrushDailyWoman }

#include "colors.inc"
#include "woods.inc"        
#include "HBrushDW.inc"     

#local   HBDW_OjoAbsoluto               = 256;
#local   HBDW_VecesCentroAbsoluto       = 10;     
#local   HBDW_L                         = 0.001;
camera {
        location  <   0,  0, -( HBDW_VecesCentroAbsoluto+1 )
                        *HBDW_OjoAbsoluto >*HBDW_L
        direction z
        sky       y
        angle     38.74
}         
light_source    {
         <-1000  , 500   , -4000 >*HBDW_L
         White
}
light_source    {
         < 1000  , 500   , -4000 >*HBDW_L
         White
}
background      {
         Gray90
}


#local   HBDW_FactorAcercamiento     = 8;
object          {      
        HBDW_HairBrushDailyWoman
        translate       -( HBDW_VecesCentroAbsoluto+1 )
                        *( HBDW_FactorAcercamiento-1 )
                        /( HBDW_FactorAcercamiento )
                        *HBDW_OjoAbsoluto*HBDW_L*z
} 
