// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 20 agosto 2010
//                
// Mis dibujos estn en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas
//  
// El objeto fuente se coloca 
// con su base centrada en <0,0,0>
// Radio es 2200*L
// Altura es menor de 2500*L       
// Para colocarlo simplemente 
// object { FBAR_FuenteBAR }
// FBAR : FuenteBonitaAnimeShoujo
// Recomendado aumentar max_trace_level, de lo contrario
// aparecen manchas oscuras
//
// El objeto CirculoPiedra es algo "trivial"
// se coloca con base centrada en <0,0,0>
// radio es 500*L, y altura 100*L 
//
// El zacate se genera centrado en la base <0,0,0>
// con la orden 
// object{ FBAR_CespedCrackle(Dx,Dy,Dz,densidad) }
// es un cubo de zacate Dx*Dy*Dz (arriba es y)
// un buen valor de densidad es 0.3
// Los modificadores permitidos 
// #declare FBAR_POV3_1
//    activa el modo POVRAY3_1 que lo vuelve compatible
//    con POVRAY3_1, sirve para los usuarios del FREEDos
//    que utilicen versiones anteriores, tambin
//    acelera el "render" con prdida de calidad.
//    Probablemente se active automticamente en algunas
//    versiones de POVRay.
// #declare FBAR_CespedCrackle   = off;      
//    desaparece el csped de FBAR_CespedCrackle
//    y permanece un rectngulo verduzco,
//    on por default.
// #declare FBAR_ActivarGotitas = off;
//    genera un dibujo de fuente ms simple y rpido
//    on por default. 
// #declare FBAR_TexturaHojaCesped      = texture { ... }
//    para cambiar el tipo de Hoja de Cesped
// #declare FBAR_TexturaBaseCesped      = texture { ... }
//    para cambiar la textura en el suelo base del Cesped 
// Nota: es posible que convenga cambiar la textura del csped
//    pues el mismo se creo pensando en la escena y no en
//    una aplicacin general.                    
//


#include "colors.inc"   
#include "FBAR.inc"

camera {
        location <   0,  0, -2816 >*FBAR_L
        look_at  <   0,  0, -2560 >*FBAR_L  
}            
global_settings         {
        max_trace_level         20        
}
light_source    {
         < 9000  , 500   , 3000 >*FBAR_L
         Gray60
}
light_source    {
         < -500  , 500   , -3000 >*FBAR_L
         Gray60
}
background      {
         Gray50
}                                          
object  {
  FBAR_FuenteBAR
  translate             < 0, -1000       , 3500>*FBAR_L
}    



object          {
        FBAR_CirculoPiedra
        translate       -1000*FBAR_L*y+500*FBAR_L*z 
}   
object          {
        FBAR_CuboCesped( 5000*FBAR_L, 375*FBAR_L/2, 8000*FBAR_L, 0.30 )
        translate       -1000*FBAR_L*y+4100*FBAR_L*z
}